> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# udeffieldswithchanges

> Get a list of udef fields for a given type. Optionally it is possible to exclude page one fields by adding extrainfo ( 'Contact,excludepageone' )

## "udeffieldswithchanges" MDO List

Get a list of udef fields for a given type.
Optionally it is possible to exclude page one fields by adding extrainfo ( 'Contact,excludepageone' )

Implemented by the <see cref="T:SuperOffice.CRM.Lists.UdefFieldsWithChangesProvider">UdefFieldsWithChangesProvider</see> class.
The name of the MDO list is 'udeffieldswithchanges'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/udeffieldswithchanges
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("udeffieldswithchanges", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "udeffieldswithchangesheadings"
* "udeffieldswithchangesheadingswithallitem"
* "udeffieldswithchangesheadingswithallitemwithnoselection"
* "udeffieldswithchangesheadingswithnoselection"
* "udeffieldswithchangeswithallitem"
* "udeffieldswithchangeswithallitemwithnoselection"
* "udeffieldswithchangeswithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
